maven2 (2.2.1-24) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Rebuild with libmaven2-core-java 2.2.1-18 (Updates maven-plugin-plugin)
  * Accept an alternative dependency on libmaven-compiler-plugin-java (<< 3.0)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 May 2015 00:24:37 +0200

maven2 (2.2.1-23) experimental; urgency=medium

  * Team upload.
  * Rebuild with libmaven-compiler-plugin-2.5-java since
    libmaven-compiler-plugin-java >= 3.0 is not compatible with Maven 2.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 07 Mar 2015 20:36:47 -0300

maven2 (2.2.1-22) unstable; urgency=high

  * Rebuild with libmaven2-core-java 2.2.1-17: Use a secure connection
    by default to download artifacts from the Maven Central repository
    (Closes: #779337)
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 27 Feb 2015 12:23:20 +0100

maven2 (2.2.1-21) unstable; urgency=medium

  * Team upload
  * Rebuild with libmaven2-core-java 2.2.1-16 (Updates maven-assembly-plugin)
  * Updated Standards-Version to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 24 Sep 2014 21:14:36 +0200

maven2 (2.2.1-20) unstable; urgency=medium

  * Team upload
  * Rebuild with libmaven2-core-java 2.2.1-15 (Updates maven-jar-plugin)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 10 Feb 2014 23:29:26 +0100

maven2 (2.2.1-19) unstable; urgency=low

  * Team upload
  * Updated the dependency on libmaven-shade-plugin-java to 1.7.1
  * debian/rules: Modified the clean target to allow rebuilds

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Dec 2013 15:34:06 +0100

maven2 (2.2.1-18) unstable; urgency=low

  * Team upload
  * Rebuild with libmaven2-core-java 2.2.1-14 (Updates maven-compiler-plugin)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 21 Nov 2013 18:01:39 +0100

maven2 (2.2.1-17) unstable; urgency=low

  * Team upload.
  * Rebuild with libmaven2-core-java 2.2.1-13 (Updates maven-source-plugin,
    maven-install-plugin and maven-javadoc-plugin)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Nov 2013 23:44:28 +0100

maven2 (2.2.1-16) unstable; urgency=low

  * Team upload.
  * Rebuild with libmaven2-core-java 2.2.1-12 (Updates maven-plugin-plugin)
  * Updated Standards-Version to 3.9.5 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 18 Oct 2013 19:10:12 +0200

maven2 (2.2.1-15) unstable; urgency=low

  * Team upload.
  * Rebuild with libmaven2-core-java 2.2.1-11 (Updates maven-javadoc-plugin,
    maven-jar-plugin and maven-dependency-plugin)
  * Build depend on debhelper >= 9

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 18 Oct 2013 17:52:29 +0200

maven2 (2.2.1-14) unstable; urgency=low

  * Team upload.
  * Rebuild with libmaven2-core-java 2.2.1-10 (Updates maven-antrun-plugin)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 23 Jun 2013 15:29:15 +0200

maven2 (2.2.1-13) unstable; urgency=low

  [ Miguel Landaeta ]
  * Team upload.
  * Fix permissions of mvnDebug script. (Closes: #687154).
  * Remove Michael Koch from Uploaders list.
    Thanks for your work on this package. (Closes: #654115).

  [ tony mancill ]
  * Fix typo in maven bash completion file.  (Closes: #688722)
    - Thank you to Oleksandr Gavenko.

  [ Ludovic Claude ]
  * Add resolution for the exec plugin in the bash completion.  

  [ Emmanuel Bourg ]
  * Updated Standards-Version to 3.9.4 (no changes)
  * Removed the dependency on backport-util-concurrent
  * debian/control: Use canonical URLs for the Vcs-* fields
  * debian/maven.rules: Removed the unused rule for maven-clean-plugin

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 12 Jun 2013 10:06:15 +0200

maven2 (2.2.1-12) unstable; urgency=low

  * Team upload.
  * Upload to unstable to allow side-by-side installation of maven (3.x)
    and maven2 packages.
  * d/control: Bump Standards-Version to 3.9.3: no changes were required.
  * d/copyright: Upgrade to copyright format 1.0.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 16 Aug 2012 21:05:27 +0200

maven2 (2.2.1-11) experimental; urgency=low

  * Team upload.
  * Use alternative to install /usr/bin/mvn.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 17 Dec 2011 23:56:39 +0100

maven2 (2.2.1-10) unstable; urgency=low

  * Team upload.
  * Rebuild now that libmaven2-core-java 2.2.1-8 is in unstable.

 -- tony mancill <tmancill@debian.org>  Thu, 13 Oct 2011 19:09:11 -0700

maven2 (2.2.1-9) unstable; urgency=low

  * Team upload.
  * Rebuild to update plugin versions.
  * Make copyright DEP-5 compliant.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 12 Oct 2011 17:11:45 -0430

maven2 (2.2.1-8) unstable; urgency=low

  * Team upload.
  * Rebuild to update plugin versions.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 11 Oct 2011 23:36:37 +0200

maven2 (2.2.1-7) unstable; urgency=low

  * Team upload.
  * Rebuild to update plugin versions.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 14 Aug 2011 15:06:30 -0430

maven2 (2.2.1-6) unstable; urgency=low

  * Team upload.
  * No change rebuild in order to re-assemble the uber jar. (Closes: #636206).
  * Bump Standards-Version to 3.9.2. No changes were required.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 02 Aug 2011 21:56:46 -0430

maven2 (2.2.1-5) unstable; urgency=low

  * Remove Paul from Uploaders list.
  * Add myself to Uploaders list.
  * Build with maven2-core 2.2.1-4.

 -- Torsten Werner <twerner@debian.org>  Sun, 16 May 2010 13:43:36 +0200

maven2 (2.2.1-4) unstable; urgency=low

  * Improve bash completion for maven2, -D options are better
    handled for plugins (for example, mvn install:install-file -DpomFile=...)
  * Apply patch from Heikki Henriksen <heikkih@gmail.com> to
    fix mvnDebug command. Thanks Heikki! (Closes: #561596)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 06 Apr 2010 20:38:51 +0200

maven2 (2.2.1-3) unstable; urgency=low

  * Team Upload.
  * Rebuild with new libmaven2-core-java 2.2.1-2
    (should fix plugins dependencies version issues)
  * Update Standards-Version to 3.8.4: no changes needed
  * Bump debhelper to >= 7
  * Use 3.0 (quilt) source format:
    - Rework debian/README.source

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 05 Apr 2010 21:39:56 +0200

maven2 (2.2.1-2) unstable; urgency=low

  * Rebuild to update plugin versions (Closes: #552704, #553046).

 -- Michael Koch <konqueror@gmx.de>  Tue, 03 Nov 2009 14:41:53 +0100

maven2 (2.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #542546)
  * Update download url for debian/watch and debian/orig-tar.sh
  * Update Standards-Version to 3.8.3
     - add debian/README.source
  * Fix bash completion to keep working after single options such
    as --offline or -Dmaven.test.skip=true
  * Ensure that all classes are compiled for Java 1.5 (Closes: #542162)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 03 Sep 2009 20:42:38 +0100

maven2 (2.2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Fri, 14 Aug 2009 14:59:25 +0200

maven2 (2.2.0-1) experimental; urgency=low

  * New upstream version
  * Added myself to Uploaders.
  * Change section to java, bump Standards-Version to 3.8.1
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Move ant to Build-Depends (needed for clean target)
  * Add dependency on java runtimes for the maven2 binary.
  * Change the dependency on java-gcj to default-jdk (Closes: #526295)
  * Update watch and added orig-tar.sh to download the sources, 
    get-orig-source in rules now uses uscan
  * Use quilt to manage the patches, add a patch to use the upstream
    build.xml as the build file, disabling all dependency downloading from it
  * Split the package in 2 parts: maven2-core contains all libraries,
    this package contains only the uber jar and the scripts
  * Updated the build to use Maven and its plugins to bootstrap itself,
    based on a patched version of the build.xml boostrap script provided
    with Maven. In particular, it now generates properly the shaded uber-jar,
    this will avoid potential class versionning conflicts for the shared 
    libraries used in the plugins.
  * Added Build-Depends-Indep on libmaven-clean-plugin-java,
    libmaven-compiler-plugin-java, libmaven-install-plugin-java, 
    libmaven-jar-plugin-java, libmaven-resources-plugin-java, 
    libmaven-shade-plugin-java and add a Recommends on those libraries.
  * Remove debian/META-INF as this information is now generated by the build.
  * Improve command line completion.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 02 Mar 2009 15:04:20 +0000

maven2 (2.0.9-2) unstable; urgency=low

  [ Michael Koch ]
  * Reworked watch file to support RC versions correctly.
  * Added myself to Uploaders.

  [ Paul Cager ]
  * Added maven-toolchain to list of sub-projects to build.
    (Closes: #486938).
  * Standards version 3.8.0 (no changes necessary).

 -- Paul Cager <paul-debian@home.paulcager.org>  Sat, 21 Jun 2008 20:49:29 +0000

maven2 (2.0.9-1) unstable; urgency=low

  [ Paul Cager ]
  * New upstream version
  
  [ Michael Koch ]
  * Added bash-completion file (Closes: #477443).

 -- Paul Cager <paul-debian@home.paulcager.org>  Thu, 24 Apr 2008 23:46:29 +0100

maven2 (2.0.8-6) unstable; urgency=low

  * Added symlink /usr/share/maven2/bin/mvn -> /usr/bin/mvn
    (and the same for m2).
    Fixes bug http://jira.codehaus.org/browse/MINVOKER-28
    (thanks to manfred@mosabuam.com for reporting the bug).

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 04 Apr 2008 20:15:52 +0100

maven2 (2.0.8-5) unstable; urgency=low

  * Fixed processing of command line options (Closes: #466860)
    - Removed patch to call of commons-cli, and fixed problem in
      commons-cli instead (see bug 469082).

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 16 Mar 2008 11:44:55 +0000

maven2 (2.0.8-4) unstable; urgency=low

  * Closes: #458895: Creating empty project with artifacts fails.
    Bug appeared when version 1.1 of libcommons-cli-java was uploaded. This
    new version conforms more rigorously to its API check which exposed
    a bug in the Maven code. (Patch "command-line").

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 11 Jan 2008 23:49:29 +0000

maven2 (2.0.8-3) unstable; urgency=low

  * Add versioned runtime dependency to libplexus-utils-java.

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 14 Dec 2007 22:37:09 +0000

maven2 (2.0.8-2) unstable; urgency=low

  * Fixed version number. (Closes: #456298)

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 14 Dec 2007 13:06:50 +0000

maven2 (2.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #454087).
  * Added min version to Build-Depends for libplexus-utils-java.
  * Added Vcs-Svn control fields etc.
  * Marked as compliant to standards version 3.7.3.

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 02 Dec 2007 23:27:21 +0000

maven2 (2.0.7-2) unstable; urgency=low

  * Changed to use correct JDK/JRE defined in Debian's alternatives system, or
    any one the user has specifically set up.
    (Closes: #445006)
  * Uses new "Homepage" field in debian/control.

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 28 Oct 2007 13:58:23 +0000

maven2 (2.0.7-1) unstable; urgency=low

  * Initial release. (Closes: #323050)

 -- Paul Cager <paul-debian@home.paulcager.org>  Fri, 06 Jul 2007 16:37:52 +0100
